import { useContext } from 'react';
import { ApiContext } from '../components/ApiClient';
/**
 * Hook to allow access Api client and api context values
 * @author Alejandro <alejandro.devop@gmail.com>
 * @version 1.0.0
 */
var useApiSettings = function () {
    var _a = useContext(ApiContext), requestsLog = _a.requestsLog, setClientProperties = _a.setClientProperties;
    return { setClientProperties: setClientProperties, requestsLog: requestsLog };
};
export default useApiSettings;
//# sourceMappingURL=useApiSettings.js.map